package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;

import com.gh.gamecenter.collection.CollectionWrapperFragment;
import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;

import java.util.ArrayList;

/**
 * Created by khy on 18/07/17.
 */
public class CollectionActivity extends ToolBarActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected boolean isAutoResetViewBackgroundEnabled() {
        return true;
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @NonNull
    public static Intent getCollectionActivity(Context context, String entrance) {
        Bundle bundle = new Bundle();
        bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, CollectionActivity.class, CollectionWrapperFragment.class, bundle);
    }

    @Override
    protected void updateStaticViewBackground(View view) {
        ArrayList<Integer> blackList = new ArrayList<>();
        blackList.add(R.id.tab_title);
        updateStaticView(view, blackList);
    }

}
